MARTe2-core - User story #251

Rename StringStream to String
23.10.2015 12:49 - Riccardo Vitelli

Status: Closed Start date: 23.10.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.7 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Source code files modified

e Source/Core/BareMetal/L3Streams/String.cpp
Source/Core/BareMetal/L3Streams/String.h
Source/Core/BareMetal/L3Streams/StringlOBuffer.cpp
Source/Core/BareMetal/L3Streams/StringlOBuffer.h
Test/Core/BareMetal/L3Streams/StringTest.cpp
Test/Core/BareMetal/L3Streams/StringTest.h
Test/Core/BareMetal/L3Streams/StringlOBufferTest.cpp
Test/Core/BareMetal/L3Streams/StringlOBufferTest.h

The prefix "Stream" was dropped from all these files (on file name and class name).

Architecture & design review
Date of the review: 23/10/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 27/10/2015

Person who did the review: R. Vitelli

Result of review: PASS

List of non-conformities: N/A

Unit test review

Date of the review: 27/10/2015
Person who did the review: R. Vitelli

Result of coverage tests review: PASS
Result of functional tests review: PASS

Result of review: PASS

List of non-conformities: N/A

Associated revisions

Revision 9f8e54bb - 27.10.2015 15:28 - Riccardo Vitelli

#251 Refactored some test names following the change from StreamString
to String.

History

#1 - 23.10.2015 13:20 - André Neto
- Status changed from New to Code: Impl

#2 - 23.10.2015 13:27 - André Neto
- Description updated

#3 - 23.10.2015 13:32 - André Neto

- Target version set to 0.7

#4 - 26.10.2015 11:47 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#5 - 26.10.2015 15:24 - Giuseppe Ferro

- Status changed from Code: Impl to Code: Rev
#6 - 26.10.2015 15:25 - Giuseppe Ferro

code implementation done: 3d309f2

see #249

#7 - 26.10.2015 15:29 - Giuseppe Ferro
- Assignee deleted (Giuseppe Ferro)

#8 - 26.10.2015 16:00 - Ivan Herrero

- Assignee set to Ivan Herrero

#9 - 26.10.2015 18:02 - lvan Herrero
- Description updated
- Status changed from Code: Rev to Code: Impl

- Assignee deleted (Ilvan Herrero)

The revision was made on branch #249_BufferedStreamGenerator (commit 3d309f2).

#10 - 26.10.2015 18:17 - André Neto

- Assignee set to Giuseppe Ferro

#11 - 26.10.2015 18:17 - André Neto
- Status changed from Code: Impl to Code: Rev

#12 - 26.10.2015 18:17 - André Neto
- Assignee deleted (Giuseppe Ferro)

#13 - 26.10.2015 18:19 - André Neto

- Assignee set to Riccardo Vitelli

#14 - 27.10.2015 15:20 - Riccardo Vitelli

05.04.2025 2/3


https://vcis-redmine.f4e.europa.eu/issues/249

- Description updated

- Assignee deleted (Riccardo Vitelli)

#15 - 27.10.2015 15:20 - Riccardo Vitelli

- Status changed from Code: Rev to Closed

#16 - 30.11.2015 11:47 - Ilvan Herrero

- Description updated
